# DAFormFunctionib1

Evaluates a user provided point-block function

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DAFormFunctionib1(DA da,PetscInt i,Vec vu,PetscScalar *vfu,void *w)

### Input Parameters

| da | - the DA that defines the grid
| i | - the component of the function we wish to compute (must be local)
| vu | - input vector
| vfu | - output value
| w | - any user data

Notes: Does NOT do ghost updates on vu upon entry

### See Also

DAComputeJacobian1WithAdic()

Level:advanced
Location: src/dm/da/src/da2.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages